SDL_modf(3)

NAME
SDL_modf - Split x into integer and fractional parts

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_modf(double x, double *y);

DESCRIPTION
This function operates on double-precision floating point values, use SDL_modff for single-precision floats.

FUNCTION PARAMETERS

x   floating point value.

y   output pointer to store the integer part of x.

RETURN VALUE
Returns the fractional part of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_modff(3), SDL_trunc(3), SDL_fmod(3)